PLGPAGE(3)

NAME
plgpage - Get page parameters

SYNOPSIS
plgpage(p_xp, p_yp, p_xleng, p_yleng, p_xoff, p_yoff)

DESCRIPTION

Gets the current page configuration. The length and offset values are expressed in units that are specific to the current driver. For instance: screen drivers will usually interpret them as number of pixels, whereas printer drivers will usually use mm.

Redacted form: plgpage(p_xp, p_yp, p_xleng, p_yleng, p_xoff, p_yoff)

This function is used in examples 14 and 31.

ARGUMENTS

p_xp (PLFLT_NC_SCALAR(3), output)
    Returned value of the number of pixels/inch (DPI) in x.

p_yp (PLFLT_NC_SCALAR(3), output)
    Returned value of the number of pixels/inch (DPI) in y.

p_xleng (PLINT_NC_SCALAR(3), output)
    Returned value of the x page length.

p_yleng (PLINT_NC_SCALAR(3), output)
    Returned value of the y page length.

p_xoff (PLINT_NC_SCALAR(3), output)
    Returned value of the x page offset.

p_yoff (PLINT_NC_SCALAR(3), output)
    Returned value of the y page offset.

AUTHORS
Many developers (who are credited at http://plplot.org/credits.php) have contributed to PLplot over its long history.

SEE ALSO
PLplot documentation at http://plplot.org/documentation.php.